---
{%- from "nextcloud/map.jinja" import nextcloud with context %}
nextcloud-archive:
  archive.extracted:
    - name: {{ nextcloud.release_dir }}/nextcloud-{{ nextcloud.version }}
    - source: {{ nextcloud.mirror }}/nextcloud-{{ nextcloud.version }}.tar.bz2
    - skip_verify: True
    - archive_format: tar
    - enforce_toplevel: False
    - options: --strip 1
    - user: {{ nextcloud.user }}
    - group: {{ nextcloud.group }}
    - if_missing: {{ nextcloud.release_dir }}/nextcloud-{{ nextcloud.version }}

nextcloud-install-link:
  file.symlink:
    - name: {{ nextcloud.install_dir }}/nextcloud
    - target: {{ nextcloud.release_dir }}/nextcloud-{{ nextcloud.version }}
    - force: True

nextcloud-datadirectory:
  file.directory:
    - name: {{ nextcloud.config.datadirectory}}
    - user: {{ nextcloud.user }}
    - group: {{ nextcloud.group }}
